/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qquaternionanimation_p.h>
#include <private/qt3dquickforeign_p.h>
#include <private/qt3dquickvaluetypes_p.h>
#include <private/quick3dbuffer_p.h>
#include <private/quick3dentityloader_p.h>
#include <private/quick3dnodeinstantiator_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Core()
{
    qmlRegisterModule("Qt3D.Core", 2, 0);
    qmlRegisterModule("Qt3D.Core", 2, 254);
    qmlRegisterModule("Qt3D.Core", 6, 0);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QAbstractSkeletonForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QArmatureForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QAttributeForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QBoundingVolumeForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QBufferForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QComponentForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QEntityForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QGeometryForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QGeometryViewForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QJointForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QNodeForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuaternionAnimation>("Qt3D.Core", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickAbstractAnimation>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DColorValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DMatrix4x4ValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DQuaternionValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DVector2DValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DVector3DValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QQuick3DVector4DValueType>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QSkeletonLoaderForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::QTransformForeign>("Qt3D.Core", 6);
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::Quick3DBuffer>("Qt3D.Core", 6);
    qmlRegisterAnonymousTypesAndRevisions<Qt3DCore::QBuffer>("Qt3D.Core", 6);
    QMetaType::fromType<Qt3DCore::Quick::Quick3DEntity *>().id();
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::Quick3DEntityLoader>("Qt3D.Core", 6);
    QMetaType::fromType<Qt3DCore::Quick::Quick3DGeometry *>().id();
    QMetaType::fromType<Qt3DCore::Quick::Quick3DJoint *>().id();
    QMetaType::fromType<Qt3DCore::Quick::Quick3DNode *>().id();
    qmlRegisterTypesAndRevisions<Qt3DCore::Quick::Quick3DNodeInstantiator>("Qt3D.Core", 6);
    qmlRegisterModule("Qt3D.Core", 6, 3);
}

static const QQmlModuleRegistration registration("Qt3D.Core", qml_register_types_Qt3D_Core);
